Subject: Re: Has somethimg changed in next's Debian package generation?

From: Piotr Hosowicz <[email-masked]>
Date: Sat, 10 Jul 2010 14:54:37 +0200

On 09.07.2010 17:38, Piotr Hosowicz wrote:
> On 09.07.2010 16:32, Piotr Hosowicz wrote:
>> On 05.07.2010 17:09, Piotr Hosowicz wrote:
>>> Hello,
>>>
>>> I build the kernel with make-kpkg under debian like:
>>>
>>> make-kpkg kernel_image
>>>
>>> I have had done it this way also with linux next. Lacking fresh sources
>>> after a short break from next I tried to build today's next as always
>>> but the build failed when it was to finally build the package saying
>>> that there is a inconsisteny in control file. I tried to tinker a bit
>>> with ./debian/control but to no effect.
>>>
>>> Has something changed? It used to work just like that, there were no
>>> problems at all.
>>
>> Anybody has any advice?
>>
>> Thanks in advance.
>
> I tried again, precise cmd line was:
>
> LANG=C CONCURRENCY_LEVEL=10 make-kpkg kernel_image
>
> I ended with:
>
> dpkg-gencontrol: error: package linux-image-2.6.35-rc4-next-20100709 not
> in control info
> make[2]: *** [debian/stamp/binary/linux-image-2.6.35-rc4-next-20100709]
> Error 255
> make[2]: Leaving directory `/usr/src/linux-2.6.35-rc4-next-20100709'
> make[1]: ***
> [debian/stamp/binary/pre-linux-image-2.6.35-rc4-next-20100709] Error 2
> make[1]: Leaving directory `/usr/src/linux-2.6.35-rc4-next-20100709'
> make: *** [kernel_image] Error 2
>
> Can someone help me on this?

I helped myself. Here is the culprit:

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=d5eda75f3a6a08f5a3644764a88d288e62e7823d

Here is a raw remedy:

http://groups.google.com/group/linux.debian.bugs.dist/browse_thread/thread/c12ec7e5aabbbdfa/83f0b0433b3c34ae?lnk=raot

There is a link to the patch for make-kpkg file.

Regards,

Piotr Hosowicz

-- 
"Polski system finansowy w okresie transformacji przejdzie do annałów
historii nonsensu, a logika polskich liberałów jest logika z pogranicza
surrealizmu". - Milton Friedman, laureat nagrody Nobla nazywany
papieżem wolnego rynku
NP: Slash - Ghost (Feat. Ian Astbury)
NB: 2.6.35-rc4-next-20100709